<div class="menucenter"><?

$attest = 1; //0 - формальный аттестан. 1 - Аттестат продавца.

$sql="select price from tb_config where item='advbannerclick'";
$res=mysql_query($sql);
$ban=mysql_result($res,0,0);

if (isset($_POST["wmid"]))
{
if( strtolower($_POST['code'])!= strtolower($_SESSION['logcaptcha']) OR !isset($_SESSION["logcaptcha"]))
  {
    $errorb = "<div class=error>Неверно введен проверочный код</div>";
  }else{
    $wmid=$_POST["wmid"];
	if (is_numeric($wmid)!="true" or strlen($wmid)!=12)
	{
      $errorb = "<div class=error>Введено неверное значение в поле WMID</div>";
	}else{
	  $plan=intval($_POST["plan"]);
	  if (is_numeric($plan)!="true" or $plan<=9)
	  {
		$errorb = "<div class=error>Количество кликов должно быть больше 10</div>";
	  }else{
	    $url1=text($_POST["url"]);
	    $urlpic=text($_POST["urlpic"]);
	    if ($wmid=="" or $plan=="" or $url1=="" or $urlpic==""){
	      $errorb = "<div class=error>Ошибка! Указаны не все параметры</div>";
	    }else{
	      $img = getimagesize ($urlpic);
	      if($img[0]!=468 or $img[1]!=60){
	        $errorb = "<div class=error>Ошибка! Картинка баннера не соответствует нужному размеру 468х60</div>";
	      }else{

	      	  $money=$ban*$plan;
	      	  $money=round($money,2);

	            $sql = "INSERT INTO tb_advbanclick (wmid, url, urlpic, plan, money) VALUES('$wmid','$url1','$urlpic','$plan','$money')";
	            mysql_query($sql) or die(mysql_error());

	            $res=mysql_query("select id from tb_advbanclick where wmid='$wmid' and status='0' order by id desc");
	            $res=mysql_fetch_assoc($res);
	            $id=$res["id"];

echo <<<HTML
<div align="center"><font color="#00aa00">
<b>Ваш заказ принят! Проверьте данные и произведите оплату.</b>
</font><br><br>
<table class='reyt' align='left' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<thead>
<tr>
<th width='40%' align='left'><b>Категория</b></th>
<th align='left'><b>Значение параметра</b></th>
</tr></thead>
<tr><td align='left'><b>Ссылка:</b></td><td align="left"><a href="{$url1}">{$url1}</a></td></tr>
<tr><td align='left'><b>Ссылка на баннер:</b></td><td align="left">{$urlpic}</td></tr>
<tr><td align='left'><b>Заказанно кликов:</b></td><td align="left">{$plan} кликов</td></tr>
<tr><td align='left'><b>Сумма:</b></td><td align="left"><font color='red'>{$money} </font>руб.</td></tr></table><br>
<table>
<tr><td align="center">
HTML;

if($attest == 1){
echo <<<HTML
<form method="POST" action="https://merchant.webmoney.ru/lmi/payment.asp">
		<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="{$money}">
		<input type="hidden" name="LMI_PAYMENT_DESC" value="Оплата баннера на {$plan} кликов.">
		<input type="hidden" name="LMI_PAYEE_PURSE" value="{$p}">
		<input type="hidden" name="service" value="advbannerclick">
		<input type="hidden" name="id" value="{$id}">
		<input type="submit" class="ok_wm" value="Оплатить">
	</form></td>
HTML;
}else{
echo <<<HTML
<a href='wmk:payto?Purse={$p}&Amount={$money}&Desc=Оплата баннера на {$plan} кликов c WMID
 {$wmid}&BringToFront=Y'>Оплатить через WebMoney</a>
</td>
HTML;
}


echo <<<HTML
</tr></table></div>
HTML;

include('footer.php');exit();

	      }
	    }
	  }
    }
  }
}
?>
<script language=javascript>
var ban=<?=$ban?>;

var celoe;
var drob;
var res;
function okrugl(nums)
{
	celoe=Math.floor(nums);
	drob=(nums-celoe)*100;
	drob=Math.floor(drob);
	if(drob>=10)
	{
		res=celoe+'.'+drob;
	}else{
		res=celoe+'.0'+drob;
	}
	return res;
}

function getZakaz(frm)
{
	frm.summa.value=frm.plan.value*ban;
	frm.summa.value=okrugl(frm.summa.value)+' руб.';;
}
</script>
<div align="center" style="color:#dd0000"><b><?=$errorb;?></b></div>
<div class="menucenter">
<font color='#00bb00'><b><u>Описание:</u></b> </font><br>
Это баннеры, которые размещаются в верху на всех страницах проекта и удаляется только после достижения определенного кол-ва
уникальных кликов по банеру.
</div>
<form method="post" action="">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<thead>
<tr>
<th colspan='2' align='left'><b>Баннеры 468x60 по кликам » » »</b></th>
</tr></thead>
  <tr>
    <td align="left" width='40%'><b><font color="#aa0000">Ваш WMID *</font></b></td>
    <td align="left" width='60%'><input type="text" name="wmid" size="25" maxlength="12" onChange="getZakaz(this.form)" value="<?=$_POST['wmid']?>"></td>
  </tr>
  <tr>
    <td align="left"><b>URL сайта:</b> (включая http://)</td>
    <td align="left"><input type="text" name="url" size="25" onChange="getZakaz(this.form)" maxlength="150" value="<?=$_POST['url']?>"></td>
  </tr>
  <tr>
    <td align="left"><b>URL баннера:</b> (включая http://)</td>
    <td align="left"><input type="text" name="urlpic" size="25" onChange="getZakaz(this.form)" maxlength="150" value="<?=$_POST['urlpic']?>"></td>
  </tr>
  <tr>
    <td align="left"><b>Кол-во кликов:</b></td>
    <td align="left"><input name="plan" type="text" size="6" onChange="getZakaz(this.form)" maxlength="4" value="<?=$_POST['plan']?>"></td>
  </tr>
  <tr>
    <td align="left"><b>Введите код: </b><img src="logincap.php" align="absmiddle"></td>
    <td align="left"><input type='text' size='5' name='code' autocomplete="off" onChange="getZakaz(this.form)" value=""></td>
  </tr>
  <tr>
    <td align="left"><b>Стоимость заказа:</b></td>
    <td class='price' align='left'><input type='text' size='10' maxlength='20' readonly='readonly' name='summa' autocomplete="off"  value="0.00 руб." /></td>
  </tr>
  <tr>
    <td  align="left"><b>&nbsp;</b></td>
    <td width="200" align="left"><input type="submit" class="ok_wm" value=" Оплатить Заказ "></td>
  </tr>
</table><br>
</form></div>